from Crypto.Cipher import DES

# Słowa dopełnione spacjami do wielokrotności 8 znaków.
user =  "użytkownik     ".encode("utf8")
message = "tekst   ".encode("utf8")
key = 'mojklucz'
# Utworzenie klucza szyfrującego DES.
cipher = DES.new(key.encode("utf8"), DES.MODE_ECB)
# Zaszyfrowanie nazwy użytkownika i tekstu
cipher_user = cipher.encrypt(user)
cipher_message = cipher.encrypt(message)
print("Zaszyfrowana nazwa użytkownika:", str(cipher_user))
print("Zaszyfrowany tekst:", str(cipher_message))
# Odszyfrowanie danych.
cipher = DES.new(key.encode("utf8"), DES.MODE_ECB)
decipher_user = cipher.decrypt(cipher_user)
decipher_message = cipher.decrypt(cipher_message)
print("Odszyfrowana nazwa użytkownika:", str(decipher_user.decode()))
print("Odszyfrowany tekst:", str(decipher_message.decode()))